MySQL:

CREATE TABLE `zenek` (
`zid` INT NOT NULL AUTO_INCREMENT ,
`szerzo` VARCHAR( 30 ) ,
`cim` VARCHAR( 30 ) NOT NULL ,
`tipus` VARCHAR( 10 ) NOT NULL ,
PRIMARY KEY ( `zid` ) ,
INDEX ( `tipus` )
) COMMENT = 'zenk adatai';

INSERT INTO `zenek` ( `zid` , `szerzo` , `cim` , `tipus` )
VALUES (
'', 'Pap Rita', 'Kutya a gyereknek', 'Pop'
);

INSERT INTO `zenek` ( `zid` , `szerzo` , `cim` , `tipus` )
VALUES (
'', 'Baby Mammoth', 'Danger of the rocks', 'ambient'
);


Oracle:

CREATE TABLE zenek (
zid NUMBER NOT NULL,
szerzo VARCHAR(30),
cim VARCHAR(30) NOT NULL ,
tipus VARCHAR(10) NOT NULL ,
PRIMARY KEY (zid)
);

CREATE SEQUENCE seq_zid;

CREATE OR REPLACE TRIGGER trg_zid BEFORE INSERT ON zenek REFERENCING NEW AS new OLD AS old FOR EACH ROW BEGIN SELECT seq_zid.NEXTVAL INTO :NEW.zid FROM DUAL; END;;
--egy sorba kell rni a triggert, mert csak akkor lesz valid!!!!

INSERT INTO zenek ( szerzo , cim , tipus ) VALUES ( 'Pap Rita', 'Kutya a gyereknek', 'Pop' );

INSERT INTO zenek ( szerzo , cim , tipus ) VALUES ( 'Baby Mammoth', 'Danger of the rocks', 'ambient' );